# Uses of Class
org.apache.qpid.proton.amqp.UnsignedLong

Packages that use UnsignedLong
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.codec.security
org.apache.qpid.proton.codec.transaction
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of UnsignedLong in org.apache.qpid.proton.amqp

Fields in org.apache.qpid.proton.amqp declared as UnsignedLong
Modifier and Type
Field
Description
`static final UnsignedLong`
UnsignedLong.`ZERO`
Methods in org.apache.qpid.proton.amqp that return UnsignedLong
Modifier and Type
Method
Description
`static UnsignedLong`
UnsignedLong.`valueOf(long underlying)`
`static UnsignedLong`
UnsignedLong.`valueOf(String value)`
`static UnsignedLong`
UnsignedLong.`valueOf(BigInteger bigInt)`
Methods in org.apache.qpid.proton.amqp with parameters of type UnsignedLong
Modifier and Type
Method
Description
`int`
UnsignedLong.`compareTo(UnsignedLong o)`

## Uses of UnsignedLong in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
Received.`getSectionOffset()`
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type UnsignedLong
Modifier and Type
Method
Description
`void`
Received.`setSectionOffset(UnsignedLong sectionOffset)`

## Uses of UnsignedLong in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
Attach.`getMaxMessageSize()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type UnsignedLong
Modifier and Type
Method
Description
`void`
Attach.`setMaxMessageSize(UnsignedLong maxMessageSize)`

## Uses of UnsignedLong in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return UnsignedLong
Modifier and Type
Method
Description
`protected abstract UnsignedLong`
AbstractDescribedType.`getDescriptor()`
`UnsignedLong`
Data.`getUnsignedLong()`
`UnsignedLong`
Decoder.`readUnsignedLong()`
`UnsignedLong`
Decoder.`readUnsignedLong(UnsignedLong defaultVal)`
`UnsignedLong`
DecoderImpl.`readUnsignedLong()`
`UnsignedLong`
DecoderImpl.`readUnsignedLong(UnsignedLong defaultVal)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type UnsignedLong
Modifier and Type
Method
Description
`Class<UnsignedLong>`
UnsignedLongType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type UnsignedLong
Modifier and Type
Method
Description
`void`
UnsignedLongType.`fastWrite(EncoderImpl encoder, UnsignedLong value)`
`UnsignedLongType.UnsignedLongEncoding`
UnsignedLongType.`getEncoding(UnsignedLong val)`
`void`
Data.`putUnsignedLong(UnsignedLong ul)`
`UnsignedLong`
Decoder.`readUnsignedLong(UnsignedLong defaultVal)`
`UnsignedLong`
DecoderImpl.`readUnsignedLong(UnsignedLong defaultVal)`
`void`
Encoder.`writeUnsignedLong(UnsignedLong ulong)`
`void`
EncoderImpl.`writeUnsignedLong(UnsignedLong ulong)`

## Uses of UnsignedLong in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
DataImpl.`getUnsignedLong()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type UnsignedLong
Modifier and Type
Method
Description
`void`
DataImpl.`putUnsignedLong(UnsignedLong ul)`

## Uses of UnsignedLong in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return UnsignedLong
Modifier and Type
Method
Description
`protected UnsignedLong`
AcceptedType.`getDescriptor()`
`UnsignedLong`
AmqpSequenceType.`getDescriptor()`
`UnsignedLong`
AmqpValueType.`getDescriptor()`
`UnsignedLong`
ApplicationPropertiesType.`getDescriptor()`
`UnsignedLong`
DataType.`getDescriptor()`
`UnsignedLong`
DeleteOnCloseType.`getDescriptor()`
`UnsignedLong`
DeleteOnNoLinksOrMessagesType.`getDescriptor()`
`UnsignedLong`
DeleteOnNoLinksType.`getDescriptor()`
`UnsignedLong`
DeleteOnNoMessagesType.`getDescriptor()`
`UnsignedLong`
DeliveryAnnotationsType.`getDescriptor()`
`UnsignedLong`
FooterType.`getDescriptor()`
`protected UnsignedLong`
HeaderType.`getDescriptor()`
`UnsignedLong`
MessageAnnotationsType.`getDescriptor()`
`UnsignedLong`
ModifiedType.`getDescriptor()`
`UnsignedLong`
PropertiesType.`getDescriptor()`
`UnsignedLong`
ReceivedType.`getDescriptor()`
`UnsignedLong`
RejectedType.`getDescriptor()`
`UnsignedLong`
ReleasedType.`getDescriptor()`
`UnsignedLong`
SourceType.`getDescriptor()`
`UnsignedLong`
TargetType.`getDescriptor()`

## Uses of UnsignedLong in org.apache.qpid.proton.codec.security

Methods in org.apache.qpid.proton.codec.security that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
SaslChallengeType.`getDescriptor()`
`UnsignedLong`
SaslInitType.`getDescriptor()`
`UnsignedLong`
SaslMechanismsType.`getDescriptor()`
`UnsignedLong`
SaslOutcomeType.`getDescriptor()`
`UnsignedLong`
SaslResponseType.`getDescriptor()`

## Uses of UnsignedLong in org.apache.qpid.proton.codec.transaction

Methods in org.apache.qpid.proton.codec.transaction that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
CoordinatorType.`getDescriptor()`
`UnsignedLong`
DeclaredType.`getDescriptor()`
`UnsignedLong`
DeclareType.`getDescriptor()`
`UnsignedLong`
DischargeType.`getDescriptor()`
`UnsignedLong`
TransactionalStateType.`getDescriptor()`

## Uses of UnsignedLong in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
AttachType.`getDescriptor()`
`UnsignedLong`
BeginType.`getDescriptor()`
`UnsignedLong`
CloseType.`getDescriptor()`
`UnsignedLong`
DetachType.`getDescriptor()`
`UnsignedLong`
DispositionType.`getDescriptor()`
`UnsignedLong`
EndType.`getDescriptor()`
`UnsignedLong`
ErrorConditionType.`getDescriptor()`
`UnsignedLong`
FlowType.`getDescriptor()`
`UnsignedLong`
OpenType.`getDescriptor()`
`UnsignedLong`
TransferType.`getDescriptor()`

## Uses of UnsignedLong in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
Link.`getMaxMessageSize()`
Gets the local link max message size.
`UnsignedLong`
Link.`getRemoteMaxMessageSize()`
Gets the remote link max message size, as conveyed from the peer via the Attach frame when attaching the link to the session.
Methods in org.apache.qpid.proton.engine with parameters of type UnsignedLong
Modifier and Type
Method
Description
`void`
Link.`setMaxMessageSize(UnsignedLong maxMessageSize)`
Sets the local link max message size, to be conveyed to the peer via the Attach frame when attaching the link to the session.

## Uses of UnsignedLong in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return UnsignedLong
Modifier and Type
Method
Description
`UnsignedLong`
LinkImpl.`getMaxMessageSize()`
`UnsignedLong`
LinkImpl.`getRemoteMaxMessageSize()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type UnsignedLong
Modifier and Type
Method
Description
`void`
LinkImpl.`setMaxMessageSize(UnsignedLong maxMessageSize)`